Package uk.co.mccombe.terrain

# Class DEMReader.CacheEntry

java.lang.Object
uk.co.mccombe.terrain.DEMReader.CacheEntry

Enclosing class:
  `DEMReader`

protected class DEMReader.CacheEntry extends Object
CacheEntry -- A class used to store a row of values

## Constructor Summary

Constructors
Constructor
Description
`CacheEntry(String name, int[] buffer)`
Create a CacheEntry object which contains a named row of the current tile.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
getName() Get the name of the CacheEntry
`int`
`getValue(int i)`
`long`
`lastUsed()`
Find when this CacheEntry was last referenced
`void`
`setLastUsed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheEntry

public CacheEntry(String name, int[] buffer)
Create a CacheEntry object which contains a named row of the current tile.

Parameters:
  `name` - The name of the row in the form tileName#rownumber> e.g. "NASADEM_HGT_N51W003#1034"
  `buffer` - an integer buffer of length recordlength() containing the heights for the specified row.

## Method Details

### setLastUsed

public void setLastUsed()

### getName

public String getName()
getName() Get the name of the CacheEntry

Returns:
  String the name of this CacheEntry

### getValue

public int getValue(int i)

Parameters:
  `i` - int the index value of the item in the row to fetch
Returns:
  int the value of the specified element

### lastUsed

public long lastUsed()
Find when this CacheEntry was last referenced

Returns:
  long the cycle number when the entry was last referenced